# paypalGenerateButton

## Description

Generate payla payment button.

## Input / Parameters

| No | Name           | Description               | Data Type    | Required  |
| -- | -------------- | ------------------------- | ------------ | --------- |
| 1  | component      | The name of the component | String       | No **\*** |
| 2  | componentId    | The id of the component   | String       | No **\*** |
| 3  | amount         | Amount                    | String       |           |
| 4  | first\_name    | First name                | String       |           |
| 5  | last\_name     | Last name                 | String       |           |
| 6  | company        | Company name              | String       |           |
| 7  | address\_line1 | Address 1                 | String       |           |
| 8  | address\_line2 | Address 2                 | String       |           |
| 9  | city           | City                      | String       |           |
| 10 | region         | Region                    | String       |           |
| 11 | postal\_code   | Postal code               | String       |           |
| 12 | country\_code  | Country code              | String       |           |
| 13 | callback       | Success callback          | FunctionList |           |
| 14 | errorCallback  | Error callback            | FunctionList |           |

## Output

## Callback

## Video

## Example

* N/A

### Step

* N/A

### Result

* N/A

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/payment/paypalgeneratebutton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
